Package junit.runner

# Class ClassPathTestCollector

java.lang.Object
junit.runner.ClassPathTestCollector

All Implemented Interfaces:
  `TestCollector`

Direct Known Subclasses:
  `LoadingTestCollector`, `SimpleTestCollector`

public abstract class ClassPathTestCollector extends Object implements TestCollector
An implementation of a TestCollector that consults the class path. It considers all classes on the class path excluding classes in JARs. It leaves it up to subclasses to decide whether a class is a runnable Test.

See Also:
  - `TestCollector`

## Constructor Summary

Constructors
Constructor
Description
`ClassPathTestCollector()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`classNameFromFile(String classFileName)`
`Hashtable`
`collectFilesInPath(String classPath)`
`Enumeration`
`collectTests()`
Returns an enumeration of Strings with qualified class names
`protected boolean`
`isTestClass(String classFileName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassPathTestCollector

public ClassPathTestCollector()

## Method Details

### collectTests

public Enumeration collectTests()
Description copied from interface: `TestCollector`
Returns an enumeration of Strings with qualified class names

Specified by:
  `collectTests` in interface `TestCollector`

### collectFilesInPath

public Hashtable collectFilesInPath(String classPath)

### isTestClass

protected boolean isTestClass(String classFileName)

### classNameFromFile

protected String classNameFromFile(String classFileName)